# fedora:40

```yaml
container:
  image: code.lightstands.xyz/standcoded/fedora:40
```

## Included Softwares

### General

- coreutils
- bash
- aria2
- jq
- yq
- zstd
- brotil
- sqlite
- sqlite-devel
- binutils

### Version Control

- git
- git-lfs
- git-ftp

### Container Management

- podman
- buildah
- fuse-overlayfs
- qemu-user-static
- qemu-user-binfmt

### NodeJS

- nodejs
- nodejs-npm
- nodejs-devel
- corepack

### Python

- python3-devel
- python3-pip
- pipx
- poetry

### Perl

- perl
- perl-CPAN
- perl-devel

### Ruby

- ruby
- rubygems
- ruby-devel

### C

- clang
- gcc
- bison
- flex
- "C Development Tools and Libraries"

### PHP

- php
- php-devel
- composer

### Java

| Version | Packages |
| - | - |
| 1.8.0 | java-1.8.0-openjdk, java-1.8.0-openjdk-devel |
| 11 | java-11-openjdk, java-11-openjdk-devel |
| 17 | java-17-openjdk, java-17-openjdk-devel |
| 21 | java-21-openjdk, java-21-openjdk-devel |

## Additional Configuration

### Building Container Images

This images configured buildah to be correctly run under a container. You can use [The workflow of this project](../.forgejo/workflows/build-fedora-40.yml) as an example.
