#!/bin/sh

# Copy & modify the defaults to provide reference if runtime changes needed.
# Changes here are required for running with fuse-overlay storage inside container.
sed -e 's|^#mount_program|mount_program|g' \
    -e '/additionalimage.*/a "/var/lib/shared",' \
    -e 's|^mountopt[[:space:]]*=.*$|mountopt = "nodev,fsync=0"|g' \
    /usr/share/containers/storage.conf \
    > /etc/containers/storage.conf && \
    chmod 644 /etc/containers/storage.conf && \
    chmod 644 /etc/containers/containers.conf

mkdir -p /var/lib/shared/overlay-images \
    /var/lib/shared/overlay-layers \
    /var/lib/shared/vfs-images \
    /var/lib/shared/vfs-layers && \
    touch /var/lib/shared/overlay-images/images.lock && \
    touch /var/lib/shared/overlay-layers/layers.lock && \
    touch /var/lib/shared/vfs-images/images.lock && \
    touch /var/lib/shared/vfs-layers/layers.lock

# Define uid/gid ranges for our user https://github.com/containers/buildah/issues/3053
useradd action && \
    echo -e "action:1:999\action:1001:64535" > /etc/subuid && \
    echo -e "action:1:999\action:1001:64535" > /etc/subgid && \
    mkdir -p /home/action/.local/share/containers && \
    mkdir -p /home/action/.config/containers && \
    chown -R action:action /home/action

# See:  https://github.com/containers/buildah/issues/4669
# Copy & modify the config for the `action` user and remove the global
# `runroot` and `graphroot` which current `actuib` user cannot access,
# in such case storage will choose a runroot in `/var/tmp`.
sed -e 's|^#mount_program|mount_program|g' \
        -e 's|^graphroot|#graphroot|g' \
        -e 's|^runroot|#runroot|g' \
        /etc/containers/storage.conf \
        > /home/action/.config/containers/storage.conf && \
        chown action:action /home/action/.config/containers/storage.conf